/*
	List of connected hosts by Catid@pacbell.net
*/

#ifndef HOSTLIST_H
#define HOSTLIST_H

#include "sockets.h"
struct BOT_INFO;

class hostList
{
	_linkedlist <class Host> list;
	Uint16 maximumHosts;

public:
	hostList();										// Client version
	~hostList();

	void doEvents();

	bool connectHost(BOT_INFO &botInfo);

	void massDisconnect();

	Uint32 getConnections();

	Host *findSpawn(char *name);
};

#endif	// HOSTLIST_H
